Debian Bug report logs - #721806
ITP: r-bioc-affy -- BioConductor methods for Affymetrix Oligonucleotide Arrays

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andreas Tille <tille@debian.org>

Date: Wed, 4 Sep 2013 08:54:02 UTC

Owned by: Andreas Tille <tille@debian.org>

Severity: wishlist

Fixed in version r-bioc-affy/1.38.1-1

Done: Andreas Tille <tille@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-med-packaging@lists.alioth.debian.org, wnpp@debian.org:
Bug#721806; Package wnpp. (Wed, 04 Sep 2013 08:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-med-packaging@lists.alioth.debian.org, wnpp@debian.org. (Wed, 04 Sep 2013 08:54:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: r-bioc-affy -- BioConductor methods for Affymetrix Oligonucleotide Arrays
Date: Wed, 04 Sep 2013 10:50:42 +0200
Package: wnpp
Severity: wishlist
Owner: Andreas Tille <tille@debian.org>

* Package name    : r-bioc-affy
  Version         : 1.38.1
  Upstream Author : Rafael A. Irizarry <rafa at jhu.edu>
* URL             : http://bioconductor.org/packages/2.12/bioc/html/affy.html
* License         : Artistic-2.0
  Programming Lang: R
  Description     : BioConductor methods for Affymetrix Oligonucleotide Arrays
 This is part of the BioCOnductir GNU R suite.  The package contains
 functions for exploratory oligonucleotide array analysis.

As previous ITPs this is part of preconditions for r-bioc-cummerbund and
prepared ind SVN:

  svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-affy/trunk/



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 04 Sep 2013 20:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Tille <tille@debian.org>:
Bug#721806; Package wnpp. (Sat, 12 Oct 2013 19:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@fam-tille.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Tille <tille@debian.org>. (Sat, 12 Oct 2013 19:18:04 GMT) Full text and rfc822 format available.

Message #12 received at 721806@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@fam-tille.de>
To: "Rafael A. Irizarry" <rafa@jhu.edu>
Cc: 721806@bugs.debian.org
Subject: Please clarify role of *.rda files in BioConductor affy [Was: r-bioc-affy_1.38.1-1_amd64.changes REJECTED]
Date: Sat, 12 Oct 2013 21:13:55 +0200
Hi Rafael,

the Debian Med team tries to package several parts of BioConductor.
When trying to upload affy our ftpmaster criticised that the source
contains binary files in affy/data/*.rda.  We had some previous
discussion about this before and we are aware that for people working
with R thes RData files are a quite natural file format.

Despite some heavy discussion our ftpmasters (the "gatekeepers" for
all software inside Debian) came to the decision

   https://lists.debian.org/debian-devel/2013/09/msg00332.html

which requires me / the Debian Med team as the actual packagers to add
some clarification about the files in question why these can not be
shipped in human readable format, how the data were obtained / created
etc.  Could you please do us a favour and provide this information to
enable us to upload the package to Debian.

Kind regards and thanks for providing affy as Free Software

        Andreas.


----- Forwarded message from Paul Richards Tagliamonte <ftpmaster@ftp-master.debian.org> -----

Date: Sat, 21 Sep 2013 04:00:51 +0000
From: Paul Richards Tagliamonte <ftpmaster@ftp-master.debian.org>
To: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Andreas Tille <tille@debian.org>
Subject: r-bioc-affy_1.38.1-1_amd64.changes REJECTED


Howdy folks,

There's no documentation as to what's in:

  ./affy/data/cdfenv.example.rda
  ./affy/data/mapCdfName.rda
  ./affy/data/SpikeIn.rda

So far as I can see.

It's being shipped, I'd like a pointer of what's in there
and if this is in preferred form (and how it came into this
world)

Cheers,
   Paul

===

Please feel free to respond to this email if you don't understand why
your files were rejected, or if you upload new files which address our
concerns.


_______________________________________________
Debian-med-packaging mailing list
Debian-med-packaging@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-med-packaging


----- End forwarded message -----

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Tille <tille@debian.org>:
Bug#721806; Package wnpp. (Wed, 16 Oct 2013 13:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Tille <tille@debian.org>. (Wed, 16 Oct 2013 13:39:12 GMT) Full text and rfc822 format available.

Message #17 received at 721806@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Martin Morgan <mtmorgan@fhcrc.org>, 721801@bugs.debian.org, 721806@bugs.debian.org
Cc: Maintainer <maintainer@bioconductor.org>
Subject: Re: Bug#721801: [devteam-bioc] Precomputed results in GenomicRanges [Was: r-bioc-genomicranges_1.12.4-1_amd64.changes REJECTED]
Date: Wed, 16 Oct 2013 15:36:07 +0200
Hi Martin,

On Wed, Oct 16, 2013 at 06:02:03AM -0700, Martin Morgan wrote:
> 
> For precomputed_results above, it looks like these could be
> generated by a script, but the specific results depend on a web
> service query and the web service changes from time to time. So the
> script will become out-of-date, creating data that are no longer
> consistent with the illustrative puruposes of the vignette. Also,
> the time cost of generating data is not consistent  with our
> (nightly) build process; we will not generate this data on the fly,
> and it would be a mistake for your release process to generate data
> different from the data used in our release.

Defintely.  The only thing our ftpmaster needs is this kind of
explanation (hopefully).

> These (expense of
> computation, consistency of external data sources) are typical
> reasons.
> 
> When the 'affy' maintainer recieves one of these emails, and the
> email mentions three data sets, and the three data sets are
> documented in the man page as data sets from an experiment (e.g.,
> ?SpikeIn), what is one supposed to do?

Sorry, I just missed this part of the documentation, my fault.

> Or rather, why is he being
> contacted in the first place?

That's simple:  He is listed on the affy homepage

  http://bioconductor.org/packages/release/bioc/html/affy.html

as maintainer and this is what I take over into the according Debian
package metainformation field (in debian/copyright).  I have to admit
that I'm personally totally unconnected to BioConductor and have only a
very rough understanding of R.  The problem is that in the Debian Med
team some people started to package some BioConductor modules and these
people now vanished from the team or are overworked.  My goal is to
keep on their work for our users and namely cummerbund needs some
update with several new preconditions.  So I tried to dive into
BioConductor internals and I'm very sorry if I did not yet found all
details how this project is organised

In short: Should I generally override the contact e-mail for
any BioConductor part by

  Upstream-Contact: BioConductor Maintainer <maintainer@bioconductor.org>

independently what might be written on the according homepage?

> From a non-technical perspective: (1) It's presumptuous to suggest
> that the data files are not important for user documentation; if
> they where not important why would the author have gone to the
> trouble to include them in the first place?

It seems BioConductor is quite good organised but trust me in my 15
years experience of Debian package building that I found lots of files
in upstream sources which are not (any more) needed or not important
enough to keep them inside while an online download would be perfectly
sufficient.  Just guessing from this experience I was just suggesting a
possible solution.  I hoped to get some helping point for the decision
which was obviously not the case.

> (2) If you are going to
> contact our maintainers, then please let me know about the extent of
> the contact and the intention; I would rather have a discussion on
> our developer mailing list than have each maintainer wondering how
> to react.

I'll respect this in the future.  The intention is simply letting the
package pass ftpmasters criterion - the extent of the contact is hardly
to estimate in advance.

Thanks again for your patience

    Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Tille <tille@debian.org>:
Bug#721806; Package wnpp. (Wed, 16 Oct 2013 14:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Morgan <mtmorgan@fhcrc.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Tille <tille@debian.org>. (Wed, 16 Oct 2013 14:03:08 GMT) Full text and rfc822 format available.

Message #22 received at 721806@bugs.debian.org (full text, mbox):

From: Martin Morgan <mtmorgan@fhcrc.org>
To: Andreas Tille <andreas@an3as.eu>, 721801@bugs.debian.org, 721806@bugs.debian.org
Cc: Maintainer <maintainer@bioconductor.org>
Subject: Re: Bug#721801: [devteam-bioc] Precomputed results in GenomicRanges [Was: r-bioc-genomicranges_1.12.4-1_amd64.changes REJECTED]
Date: Wed, 16 Oct 2013 06:50:12 -0700
On 10/16/2013 06:36 AM, Andreas Tille wrote:
> Hi Martin,
>
> On Wed, Oct 16, 2013 at 06:02:03AM -0700, Martin Morgan wrote:
>>
>> For precomputed_results above, it looks like these could be
>> generated by a script, but the specific results depend on a web
>> service query and the web service changes from time to time. So the
>> script will become out-of-date, creating data that are no longer
>> consistent with the illustrative puruposes of the vignette. Also,
>> the time cost of generating data is not consistent  with our
>> (nightly) build process; we will not generate this data on the fly,
>> and it would be a mistake for your release process to generate data
>> different from the data used in our release.
>
> Defintely.  The only thing our ftpmaster needs is this kind of
> explanation (hopefully).
>
>> These (expense of
>> computation, consistency of external data sources) are typical
>> reasons.
>>
>> When the 'affy' maintainer recieves one of these emails, and the
>> email mentions three data sets, and the three data sets are
>> documented in the man page as data sets from an experiment (e.g.,
>> ?SpikeIn), what is one supposed to do?
>
> Sorry, I just missed this part of the documentation, my fault.
>
>> Or rather, why is he being
>> contacted in the first place?
>
> That's simple:  He is listed on the affy homepage
>
>    http://bioconductor.org/packages/release/bioc/html/affy.html
>

Probably I meant this in a rhetorical way. I mean, "why does the maintainer need 
to be contacted about a documented data set?" and you've answered that.

> as maintainer and this is what I take over into the according Debian
> package metainformation field (in debian/copyright).  I have to admit
> that I'm personally totally unconnected to BioConductor and have only a
> very rough understanding of R.  The problem is that in the Debian Med
> team some people started to package some BioConductor modules and these
> people now vanished from the team or are overworked.  My goal is to
> keep on their work for our users and namely cummerbund needs some
> update with several new preconditions.  So I tried to dive into
> BioConductor internals and I'm very sorry if I did not yet found all
> details how this project is organised
>
> In short: Should I generally override the contact e-mail for
> any BioConductor part by
>
>    Upstream-Contact: BioConductor Maintainer <maintainer@bioconductor.org>
>
> independently what might be written on the according homepage?

Package maintainers are the ones in a position to decide what to do.

But if you are going to contact package maintainers generally (all 749 packages? 
data annotation and experiment data packages [which are more-or-less entirely 
binary objects!] too?) then I'd like to bring this up on the Bioconductor devel 
mailing list so that package maintainers have a fair chance of knowing what to 
expect.

>
>>  From a non-technical perspective: (1) It's presumptuous to suggest
>> that the data files are not important for user documentation; if
>> they where not important why would the author have gone to the
>> trouble to include them in the first place?
>
> It seems BioConductor is quite good organised but trust me in my 15
> years experience of Debian package building that I found lots of files
> in upstream sources which are not (any more) needed or not important
> enough to keep them inside while an online download would be perfectly
> sufficient.  Just guessing from this experience I was just suggesting a
> possible solution.  I hoped to get some helping point for the decision
> which was obviously not the case.
>
>> (2) If you are going to
>> contact our maintainers, then please let me know about the extent of
>> the contact and the intention; I would rather have a discussion on
>> our developer mailing list than have each maintainer wondering how
>> to react.
>
> I'll respect this in the future.  The intention is simply letting the
> package pass ftpmasters criterion - the extent of the contact is hardly
> to estimate in advance.
>
> Thanks again for your patience
>
>      Andreas.
>


-- 
Computational Biology / Fred Hutchinson Cancer Research Center
1100 Fairview Ave. N.
PO Box 19024 Seattle, WA 98109

Location: Arnold Building M1 B861
Phone: (206) 667-2793



Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Tue, 29 Oct 2013 22:03:20 GMT) Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. (Tue, 29 Oct 2013 22:03:20 GMT) Full text and rfc822 format available.

Message #27 received at 721806-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 721806-close@bugs.debian.org
Subject: Bug#721806: fixed in r-bioc-affy 1.38.1-1
Date: Tue, 29 Oct 2013 22:00:38 +0000
Source: r-bioc-affy
Source-Version: 1.38.1-1

We believe that the bug you reported is fixed in the latest version of
r-bioc-affy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 721806@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated r-bioc-affy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 18 Oct 2013 11:22:04 +0200
Source: r-bioc-affy
Binary: r-bioc-affy
Architecture: source amd64
Version: 1.38.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 r-bioc-affy - BioConductor methods for Affymetrix Oligonucleotide Arrays
Closes: 721806
Changes: 
 r-bioc-affy (1.38.1-1) unstable; urgency=low
 .
   * Initial release (closes: #721806)
   * Added README.source to document binary files in source tarball
     which are documented in the according manpages
Checksums-Sha1: 
 fdc94a8e8b3b1f7be77505e4bb289819c9bb8c68 1500 r-bioc-affy_1.38.1-1.dsc
 f63c03215085fc886a6eee95ec7bb1366e904ee3 1295492 r-bioc-affy_1.38.1.orig.tar.gz
 83aa83f905ce36dacbaf7bfe0c78543f6bd65ccb 4106 r-bioc-affy_1.38.1-1.debian.tar.gz
 9bc8613a284e20e930fec03edb326665c571d95f 1393884 r-bioc-affy_1.38.1-1_amd64.deb
Checksums-Sha256: 
 03594c180d559da55783f9f79b85936935cfbf26205510d1595d479094c8edd8 1500 r-bioc-affy_1.38.1-1.dsc
 e756a4ae79b6f20d2c12d7302bbd642e3ba1b9fe4fdd6b52a10ac49ff4887749 1295492 r-bioc-affy_1.38.1.orig.tar.gz
 ef98aa9be72495372e45e466bb817cb09e8d29db475641445529a56f4ab44853 4106 r-bioc-affy_1.38.1-1.debian.tar.gz
 45848cc7402055e41df1b9d70ed3445d00a1f8d26098a9d3ecd83d017b56e21d 1393884 r-bioc-affy_1.38.1-1_amd64.deb
Files: 
 3593c8a7da51b7f6e2c699977351eab7 1500 gnu-r optional r-bioc-affy_1.38.1-1.dsc
 c5d15f118df86b892fd5b55792a99cb9 1295492 gnu-r optional r-bioc-affy_1.38.1.orig.tar.gz
 a3326a10b588d3386bb1eeb828e1a79e 4106 gnu-r optional r-bioc-affy_1.38.1-1.debian.tar.gz
 8fdd5f72d1b3287383cbe0206b5c56c1 1393884 gnu-r optional r-bioc-affy_1.38.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlJhALwACgkQYDBbMcCf01p1yQCfW1DmG1tDIDL31ozb8tHvleyw
V0MAn0uC5rr6PNNXdWo3Ekx6dpolB3pw
=J8rQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Nov 2013 07:25:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:04:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.